# Orders

Orders are contractual agreements between merchants and customers.
You can create multiple subscriptions and subscription amendments at once in a single order. All the operations on subscriptions in orders are done by order actions.
You can also create order line items to support your non-subscription based business models.
Zuora calculates order delta metrics when orders take place. You can retrieve order delta metrics and measure billed and unbilled amounts by order.
For more information about Orders, see Overview Of Orders.
To learn how orders interacts with billing accounts, subscriptions, and product catalog, see [Orders API tutorials](https://developer.zuora.com/docs/get-started/api-tutorials/orders-tutorials/order-basics) which include orders code samples. You can also refer [Zuora object model](https://developer.zuora.com/v1-api-reference/object-model/) for more details.

 - [POST /v1/orders/preview](https://developer.zuora.com/v1-api-reference/api/orders/post_previeworder.md): **Notes**: - This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access
 - [POST /v1/async/orders/preview](https://developer.zuora.com/v1-api-reference/api/orders/post_previeworderasynchronously.md): **Notes:** - This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orde
 - [GET /v1/orders](https://developer.zuora.com/v1-api-reference/api/orders/get_allorders.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/or
 - [POST /v1/orders](https://developer.zuora.com/v1-api-reference/api/orders/post_order.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/
 - [POST /v1/async/orders](https://developer.zuora.com/v1-api-reference/api/orders/post_createorderasynchronously.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/
 - [DELETE /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/delete_order.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [GET /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_order.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/put_order.md): **Notes:** - This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend cust
 - [DELETE /v1/async/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/deleteorderasynchronously.md): **Note:** This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the
 - [GET /v1/async-jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/orders/get_jobstatusandresponse.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [GET /v1/orders/subscriptionOwner/{accountNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbysubscriptionowner.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [GET /v1/orders/subscription/{subscriptionNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbysubscriptionnumber.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [GET /v1/orders/invoiceOwner/{accountNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbyinvoiceowner.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/orders/{orderNumber}/customFields](https://developer.zuora.com/v1-api-reference/api/orders/put_updateordercustomfields.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/subscriptions/{subscriptionNumber}/customFields](https://developer.zuora.com/v1-api-reference/api/orders/put_updatesubscriptioncustomfields.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/triggerDates](https://developer.zuora.com/v1-api-reference/api/orders/put_ordertriggerdates.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/activate](https://developer.zuora.com/v1-api-reference/api/orders/put_orderactivate.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/cancel](https://developer.zuora.com/v1-api-reference/api/orders/put_ordercancel.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [POST /v1/orders/commitments/{commitmentNumber}/associations/rescan](https://developer.zuora.com/v1-api-reference/api/orders/rescancommitmentaccountassociations.md): Re-evaluates a commitment's account eligibility condition against current account data and activates (inserts or reactivates) any newly-eligible accounts. This operation is **additive only**: it never
 - [GET /v1/orders/deltaMetrics/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/getorderdeltametricsbyordernumber.md): **Note**: This operation is only available if you have the [Order Delta Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transac
 - [GET /v1/orders/subscription/{subscription-key}/pending](https://developer.zuora.com/v1-api-reference/api/orders/get_pendingordersbysubscriptionnumber.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
